Package org.springframework.security.web.session

# Class SessionInformationExpiredEvent

java.lang.Object
java.util.EventObject
org.springframework.context.ApplicationEvent
org.springframework.security.web.session.SessionInformationExpiredEvent

All Implemented Interfaces:
  `Serializable`

public final class SessionInformationExpiredEvent extends org.springframework.context.ApplicationEvent
An event for when a `SessionInformation` is expired.

Since:
  4.2
See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class java.util.EventObject

`source`

## Constructor Summary

Constructors
Constructor
Description
`SessionInformationExpiredEvent(org.springframework.security.core.session.SessionInformation sessionInformation, jakarta.servlet.http.HttpServletRequest request, jakarta.servlet.http.HttpServletResponse response)`
Creates a new instance
`SessionInformationExpiredEvent(org.springframework.security.core.session.SessionInformation sessionInformation, jakarta.servlet.http.HttpServletRequest request, jakarta.servlet.http.HttpServletResponse response, jakarta.servlet.FilterChain filterChain)`
Creates a new instance

## Method Summary

Modifier and Type
Method
Description
`jakarta.servlet.FilterChain`
`getFilterChain()`
`jakarta.servlet.http.HttpServletRequest`
`getRequest()`
`jakarta.servlet.http.HttpServletResponse`
`getResponse()`
`org.springframework.security.core.session.SessionInformation`
`getSessionInformation()`

### Methods inherited from class org.springframework.context.ApplicationEvent

`getTimestamp`

### Methods inherited from class java.util.EventObject

`getSource, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### SessionInformationExpiredEvent

public SessionInformationExpiredEvent(org.springframework.security.core.session.SessionInformation sessionInformation, jakarta.servlet.http.HttpServletRequest request, jakarta.servlet.http.HttpServletResponse response)
Creates a new instance

Parameters:
  `sessionInformation` - the SessionInformation that is expired
  `request` - the HttpServletRequest
  `response` - the HttpServletResponse

### SessionInformationExpiredEvent

public SessionInformationExpiredEvent(org.springframework.security.core.session.SessionInformation sessionInformation, jakarta.servlet.http.HttpServletRequest request, jakarta.servlet.http.HttpServletResponse response, jakarta.servlet.FilterChain filterChain)
Creates a new instance

Parameters:
  `sessionInformation` - the SessionInformation that is expired
  `request` - the HttpServletRequest
  `response` - the HttpServletResponse
  `filterChain` - the FilterChain
Since:
  6.4

## Method Details

### getRequest

public jakarta.servlet.http.HttpServletRequest getRequest()

Returns:
  the request

### getResponse

public jakarta.servlet.http.HttpServletResponse getResponse()

Returns:
  the response

### getSessionInformation

public org.springframework.security.core.session.SessionInformation getSessionInformation()

### getFilterChain

public jakarta.servlet.FilterChain getFilterChain()

Returns:
  the filter chain. Can be `null`.
Since:
  6.4